import datetime,os
import log,variables,skel,tcgcore

def collectinggen():
    if not os.path.isdir("build/collecting"):
        os.mkdir("build/collecting")
    if os.path.exists("build/collecting/index.html"):
        os.remove("build/collecting/index.html")
    thefile = "build/collecting/index.html"
    skel.headerwrite(thefile,"collecting")
    content = open(thefile,"a")
    content.write("<h1>decks in progress</h1>\n")
    decksofinterest = []
    for card in tcgcore.ownedcards():
        if card[0:4] != "sig_":
            decksofinterest.append(card[:-2])
    decksofinterest = sorted(list(dict.fromkeys(decksofinterest)))
    highpriority = []
    medpriority = []
    lowpriority = []
    for deck in decksofinterest:
        if deck in variables.highpriority:
            highpriority.append(deck)
        elif deck in variables.medpriority:
            medpriority.append(deck)
        else:
            lowpriority.append(deck)
    if len(highpriority) > 0:
        content.write("<h2>High priority</h2>\n")
        for deck in highpriority:
            content.write(tcgcore.printdeck(deck))
    if len(medpriority) > 0:
        content.write("<h2>Medium priority</h2>\n")
        for deck in medpriority:
            content.write(tcgcore.printdeck(deck))
    if len(lowpriority) > 0:
        content.write("<h2>Low priority</h2>\n")
        for deck in lowpriority:
            content.write(tcgcore.printdeck(deck))
    content.close()
    skel.footerwrite(thefile)

if __name__ == "__main__":
    collectinggen()
